%define name	xmms-sndfile
%define version	1.0pre6
%define release	alt4

Summary: Input plugin for XMMS to use libsndfile
Summary(ru):    XMMS,   libsndfile.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sound
Url: http://www.zip.com.au/~erikd/XMMS/
Source: xmms_sndfile-%version.tar.bz2
Patch0: xmms_sndfile-1.0pre6-opt.patch
Patch1: xmms_sndfile-memleak.patch
Patch2: xmms_sndfile-1.0pre6-new_libsndfile.patch
#Obsoletes: xmms-sndfile-%version
Requires: glib >= 1.2.2
Requires: gtk+ >= 1.2.2
Requires: xmms
BuildPreReq: xmms-devel

# Automatically added by buildreq on Thu Sep 19 2002
BuildRequires: XFree86-devel XFree86-libs glib-devel glibc-devel-static gtk+-devel libsndfile-devel libxmms-devel

%description
Xmms_sndfile is an input plugin for XMMS (X multimedia system) allowing
XMMS to read any file format supported by libsndfile.

%description -l ru
Xmms_sndfile -     XMMS (  ),
 XMMS     , 
 libsndfile.

%prep
%setup -q -n xmms_sndfile-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
automake
%configure

%build
%make_build

%install
%make_build DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/xmms/Input/libxmms_sndfile.*

%changelog
* Thu Sep 19 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0pre6-alt4
- Rebuild with new libsndfile

* Wed Mar 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0pre6-alt3
- Rebuild with xmms-1.2.7
- Fixed "http" handling memory leak

* Fri Jun 29 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0pre6-alt2
- Rebuild with xmms-1.2.5
- Some spec cleanup

* Wed Apr 25 2001 Kostya Timoshenko <kt@altlinux.ru> 1.0pre6-alt1
- Build for ALT Linux

* Fri Jul 28 2000 Konstantin Volckov <goldhead@linux.ru.net>
  [xmms-sndfile-1.0pre6-1rus]
- Initial release.
